## org.biojava.bio.seq
Class FeatureFilter.BySequenceName

    java.lang.Object
      org.biojava.bio.seq.FeatureFilter.BySequenceName

All Implemented Interfaces:
  Serializable, FeatureFilter, OptimizableFilter

Enclosing interface:
  FeatureFilter

    public static final class FeatureFilter.BySequenceName

extends Object
implements OptimizableFilter

Accept features that reside on a sequence with a particular name.

Since:
  1.3
Author:
  Matthew Pocock
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureFilter

`FeatureFilter.And, FeatureFilter.AnnotationContains, FeatureFilter.ByAncestor, FeatureFilter.ByAnnotation, FeatureFilter.ByAnnotationType, FeatureFilter.ByChild, FeatureFilter.ByClass, FeatureFilter.ByComponentName, FeatureFilter.ByDescendant, FeatureFilter.ByFeature, FeatureFilter.ByPairwiseScore, FeatureFilter.ByParent, FeatureFilter.BySequenceName, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.FrameFilter, FeatureFilter.HasAnnotation, FeatureFilter.Not, FeatureFilter.OnlyChildren, FeatureFilter.OnlyDescendants, FeatureFilter.Or, FeatureFilter.OverlapsLocation, FeatureFilter.ShadowContainedByLocation, FeatureFilter.ShadowOverlapsLocation, FeatureFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`all, leaf, none, top_level`

Constructor Summary
`FeatureFilter.BySequenceName(String seqName)`

Method Summary
`boolean` `accept(Feature f)` This method determines whether a feature is to be accepted.
`boolean` `equals(Object o)`
`String` `getSequenceName()`
`int` `hashCode()`
`boolean` `isDisjoint(FeatureFilter filt)` Returns true if this filter is disjoint from filt - that is, there is no Feature that is accepted by both filters.
`boolean` `isProperSubset(FeatureFilter sup)` Returns true if this filter is a proper subset of sup - that is, for every feature that matches this, it also matches sup.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureFilter.BySequenceName

    public FeatureFilter.BySequenceName(String seqName)

Method Detail

### getSequenceName

    public String getSequenceName()

### accept

    public boolean accept(Feature f)

  Description copied from interface: `FeatureFilter`
  This method determines whether a feature is to be accepted.

  Specified by:
    `accept` in interface `FeatureFilter`
  Parameters:
    `f` - the Feature to evaluate
  Returns:
    true if this feature is to be selected in, or false if it is to be ignored

### isProperSubset

    public boolean isProperSubset(FeatureFilter sup)

  Description copied from interface: `OptimizableFilter`
  Returns true if this filter is a proper subset of sup - that is, for every feature that matches this, it also matches sup. The empty filter is a proper subset of all filters. All filters are a proper subset of the all filter. All filters are proper subsets of themselves.

  Specified by:
    `isProperSubset` in interface `OptimizableFilter`
  Parameters:
    `sup` - the potential super set
  Returns:
    true if sup contains all features contained by this filter

### isDisjoint

    public boolean isDisjoint(FeatureFilter filt)

  Description copied from interface: `OptimizableFilter`
  Returns true if this filter is disjoint from filt - that is, there is no Feature that is accepted by both filters. The empty filter is disjoint from all other filters. The all filter is disjoint from none.

  Specified by:
    `isDisjoint` in interface `OptimizableFilter`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`